## lvm2 2.03.11

=== debian/changelog ===
lvm2 (2.03.11-2ubuntu4~ubuntu20.04.1) focal-backports; urgency=medium

  * Backport to Focal (LP: #1929432):
    - change debhelper-compat version (= 12)
    - add Breaks: sanlock (<< 3.8.0) for lvm2-lockd to prevent incompatibility
       with shared leases

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 08 Jun 2021 18:37:35 +0000

lvm2 (2.03.11-2ubuntu4) hirsute; urgency=medium

  * Disable lto build. Other distros build it with lto, however Debian has
    an old work around from 2015 for an ABI break. See #791888.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 12:36:07 +0100

lvm2 (2.03.11-2ubuntu3) hirsute; urgency=medium

  * Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 04 Mar 2021 11:00:58 +0100

lvm2 (2.03.11-2ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:19 +0100

lvm2 (2.03.11-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available.
    - Ship correct udev rules in lvm2-udeb package.
    - d/control: add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
  * Dropped changes, included upstream:
    - Include raid1 in the list of modules installed by the initramfs hook
    - Detect systemd in udev rule at runtime:
      debian/patches/Detect-systemd-at-run-time-in-69-dm-lvm-metad.rules.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 09 Feb 2021 11:55:15 +0100

lvm2 (2.03.11-2) unstable; urgency=medium

  * Make sure lvmlockd can use sd notify. (closes: #980225)

 -- Bastian Blank <waldi@debian.org>  Sat, 16 Jan 2021 21:51:13 +0100

lvm2 (2.03.11-1) unstable; urgency=medium

  * New upstream release.
  * Use libedit instead of old readline. (closes: #966152)
  * Drop dev symlink to internal lib for good. (closes: #857954)
  * Fix watch file and signing key. (closes: #979584)
  * Use per-arch pkg-config. (closes: #968411)

 -- Bastian Blank <waldi@debian.org>  Fri, 15 Jan 2021 20:08:29 +0100

lvm2 (2.03.07-1ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:19:25 +0100

lvm2 (2.03.07-1ubuntu3) groovy; urgency=medium

  * Revert "Fix incorrect path to mountroot fail hook. LP: #1871154"
    regression is in the initramfs-tools package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 15:02:01 +0100

lvm2 (2.03.07-1ubuntu2) groovy; urgency=medium

  * Fix incorrect path to mountroot fail hook. LP: #1871154

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 May 2020 13:11:44 +0100

=== debian/control ===
Source: lvm2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 autoconf-archive,
 automake,
 libaio-dev,
 libblkid-dev,
 pkg-config,
 systemd,
 thin-provisioning-tools
Build-Depends-Arch:
 libcmap-dev,
 libcorosync-common-dev,
 libcpg-dev,
 libdlm-dev (>> 2),
 libdlmcontrol-dev,
 libedit-dev,
 libquorum-dev,
 libsanlock-dev,
 libselinux1-dev,
 libsystemd-dev,
 libudev-dev,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-dev,
 python3-dbus,
 python3-pyudev,
Standards-Version: 4.1.1
Rules-Requires-Root: no
Homepage: https://sourceware.org/lvm2/
Vcs-Git: https://salsa.debian.org/lvm-team/lvm2.git
Vcs-Browser: https://salsa.debian.org/lvm-team/lvm2

Package: lvm2
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base,
 dmsetup (>= ${devmapper:Version}~),
 dmeventd (>= ${devmapper:Version}~),
Recommends:
 thin-provisioning-tools
Multi-Arch: foreign
Description: Linux Logical Volume Manager
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux Logical Volume Manager
 This is a udeb, or a microdeb, for the debian-installer.
 .
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-dbusd
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends},
 lvm2 (>= ${source:Version}~),
 dbus,
 python3-dbus,
 python3-gi,
 python3-pyudev,
Multi-Arch: foreign
Description: LVM2 D-Bus daemon
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.
 .
 This package includes the D-Bus daemon.

Package: lvm2-lockd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lvm2 (>= ${source:Version}~),
Breaks:
 sanlock (<< 3.8.0),
Multi-Arch: foreign
Description: LVM locking daemon
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.
 .
 LVM commands use lvmlockd to coordinate access to shared storage.

Package: libdevmapper-dev
Section: libdevel
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 libdevmapper1.02.1 (= ${binary:Version}),
 libdevmapper-event1.02.1 (= ${binary:Version}),
 libudev-dev,
 libselinux1-dev,
Multi-Arch: same
Description: Linux Kernel Device Mapper header files
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) header files for accessing the
 device-mapper; it allow usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 dmsetup (>= ${devmapper:Version}~),
Multi-Arch: same
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) shared library for accessing the
 device-mapper; it allows usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 dmsetup-udeb,
Description: Linux Kernel Device Mapper userspace library
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.

Package: dmsetup
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: foreign
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: dmsetup-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: libdevmapper-event1.02.1
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Description: Linux Kernel Device Mapper event support library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the userspace library to help with event monitoring
 for devmapper devices, in conjunction with the dmevent daemon.

Package: dmeventd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
# No Multi-Arch: foreign, plugins depend on the current architecture
Description: Linux Kernel Device Mapper event daemon
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a daemon to monitor events of devmapper devices.

Package: liblvm2cmd2.03
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dmeventd,
Multi-Arch: same
Description: LVM2 command library
 This package contains the lvm2cmd shared library.

Package: liblvm2-dev
Section: libdevel
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 liblvm2cmd2.03 (= ${binary:Version}),
 libdevmapper-dev,
Multi-Arch: same
Description: LVM2 libraries - development files
 This package contains files needed to develop applications that use the
 lvm2app library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
DEB_CFLAGS_MAINT_STRIP = -O2

include /usr/share/dpkg/default.mk

VERSION_DEBIAN := $(shell echo "$(DEB_VERSION)" | sed -e 's,^[^-]*-,,')

DEVMAPPER_ABINAME = 1.02.1
DEVMAPPER_VERSION_PLAIN = $(shell awk '{print $$1}' VERSION_DM)
DEVMAPPER_VERSION = 2:$(DEVMAPPER_VERSION_PLAIN)
DEVMAPPER_VERSION_DEBIAN = $(DEVMAPPER_VERSION)-$(VERSION_DEBIAN)
DEVMAPPER_VERSION_FILE = $(DEVMAPPER_VERSION_PLAIN)-$(VERSION_DEBIAN)

GENCONTROL_ARGS = -Vdevmapper:Version=$(DEVMAPPER_VERSION_DEBIAN)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS_OPT_DEB = -O2
CFLAGS_OPT_UDEB = -Os
endif

define CONFARGS.deb
	--libdir=/lib/$(DEB_HOST_MULTIARCH)
	--sbindir=/sbin
	--with-usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	--with-optimisation="$(CFLAGS_OPT_DEB)"
	--with-cache=internal
	--with-device-uid=0
	--with-device-gid=6
	--with-device-mode=0660
	--with-default-pid-dir=/run
	--with-default-run-dir=/run/lvm
	--with-default-locking-dir=/run/lock/lvm
	--with-thin=internal
	--with-thin-check=/usr/sbin/thin_check
	--with-thin-dump=/usr/sbin/thin_dump
	--with-thin-repair=/usr/sbin/thin_repair
	--with-udev-prefix=/
	--enable-applib
	--enable-blkid_wiping
	--enable-cmdlib
	--enable-dmeventd
	--enable-editline
	--enable-lvmlockd-dlm
	--enable-lvmlockd-sanlock
	--enable-lvmpolld
	--enable-notify-dbus
	--enable-pkgconfig
	--enable-udev_rules
	--enable-udev_sync
	--disable-readline
endef

define CONFARGS.deb_all
	--sbindir=/sbin
	--enable-dbus-service
	--disable-readline
	--disable-selinux
endef

define CONFARGS.udeb
	--libdir=/lib
	--sbindir=/sbin
	--with-usrlibdir=/usr/lib
	--with-optimisation="$(CFLAGS_OPT_UDEB)"
	--with-lvm1=none
	--with-pool=none
	--disable-readline
	--disable-selinux
	--with-udev-prefix=/
	--enable-udev_rules
	--enable-udev_sync
endef

BUILDS :=
ifneq ($(filter lvm2,$(shell dh_listpackages)),)
BUILDS += deb udeb
endif
ifneq ($(filter lvm2-dbusd,$(shell dh_listpackages)),)
BUILDS += deb_all
endif

%:
	dh $@ --parallel

override_dh_auto_configure: $(patsubst %,dh_auto_configure.%,$(BUILDS))
override_dh_auto_build:     $(patsubst %,dh_auto_build.%,$(BUILDS))
override_dh_auto_install:   $(patsubst %,dh_auto_install.%,$(BUILDS))

dh_auto_configure.%:
	mkdir -p debian/build/build_$*
	cp -al $(filter-out debian, $(wildcard * .[^.]*)) debian/build/build_$*/
	dh_auto_configure --sourcedirectory=debian/build/build_$* -- $(strip $(CONFARGS.$*))
	cp po/lvm2.po po/lvm2.pot

dh_auto_build.%:
	dh_auto_build --sourcedirectory=debian/build/build_$* -- \
		LIB_VERSION_DM=$(DEVMAPPER_ABINAME)

dh_auto_install.%:
	dh_auto_install --sourcedirectory=debian/build/build_$* \
		--destdir=debian/build/install_$* -- \
		install \
		install_systemd_generators \
		install_systemd_units \
		install_tmpfiles_configuration \
		LIB_VERSION_DM=$(DEVMAPPER_ABINAME)

override_dh_auto_clean:
	rm -rf debian/build
	rm -f po/lvm2.pot

override_dh_gencontrol:
	dh_gencontrol \
		-pdmsetup \
		-pdmsetup-udeb \
		-pdmeventd \
		-plibdevmapper-dev \
		-plibdevmapper$(DEVMAPPER_ABINAME) \
		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
		-plibdevmapper-event$(DEVMAPPER_ABINAME) \
		-- -v$(DEVMAPPER_VERSION_DEBIAN) $(GENCONTROL_ARGS)
	dh_gencontrol --remaining-packages \
		-- $(GENCONTROL_ARGS)

override_dh_install:
	dh_install --sourcedir=debian/build/install_udeb \
		-pdmsetup-udeb \
		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
		-plvm2-udeb
	dh_install --sourcedir=debian/build/install_deb_all \
		-plvm2-dbusd
	dh_install --sourcedir=debian/build/install_deb \
		--remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs -pdmeventd WHATS_NEW_DM
	dh_installchangelogs -plvm2 WHATS_NEW
	dh_installchangelogs --remaining-packages

override_dh_installinit:
	dh_installinit -plvm2 --no-start
	dh_installinit -plvm2 --restart-after-upgrade --name lvm2-lvmpolld

override_dh_makeshlibs:
	dh_makeshlibs -plibdevmapper$(DEVMAPPER_ABINAME) \
		--add-udeb 'libdevmapper$(DEVMAPPER_ABINAME)-udeb' \
	       	"-Vlibdevmapper$(DEVMAPPER_ABINAME) (>= $(DEVMAPPER_VERSION))" \
		-- "-v$(DEVMAPPER_VERSION_DEBIAN)" -c2
	dh_makeshlibs -plibdevmapper-event$(DEVMAPPER_ABINAME) \
		"-Vlibdevmapper-event$(DEVMAPPER_ABINAME) (>= $(DEVMAPPER_VERSION))" \
		-- "-v$(DEVMAPPER_VERSION_DEBIAN)" -c2
	dh_makeshlibs --remaining-packages -V \
		-- -c2

override_dh_installsystemd:
	dh_installsystemd -plvm2 --no-restart-after-upgrade --no-stop-on-upgrade \
		blk-availability.service \
		lvm2-monitor.service
	dh_installsystemd -plvm2 \
		lvm2-lvmpolld.socket
	dh_installsystemd --remaining-packages

.NOTPARALLEL:

## lvm2 2.03.11-2.1ubuntu4+11.0trisquel2

=== debian/changelog ===
lvm2 (2.03.11-2.1ubuntu4+11.0trisquel2) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:43:02 +0000

lvm2 (2.03.11-2.1ubuntu4) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:06:22 +0000

lvm2 (2.03.11-2.1ubuntu3) impish; urgency=medium

  * Fix-up noudeb build profile support.
  * Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Fixes FTBFS in impish.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Oct 2021 10:31:36 +0100

lvm2 (2.03.11-2.1ubuntu2) impish; urgency=medium

  * Don't build udeb targets.
  * Work around an installation issue about installing python files into
    lib/python* instead of usr/lib/python*.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Oct 2021 10:49:59 +0200

lvm2 (2.03.11-2.1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
  * Removed obsolete patches/changes:
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115) (mountroot failure hooks
      removed in last initramfs-tools merge)
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available. (removed previously, but erroneously noted)
    - Add udev-prefix spec to udeb build (erroneous addition)
  * Removed patches obsoleted/merged by upstream:
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 May 2021 18:35:39 +0100

lvm2 (2.03.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix path to sort in blkdeactivate. (closes: #946882)

 -- Ivo De Decker <ivodd@debian.org>  Mon, 22 Feb 2021 21:39:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  autoconf-archive,
  automake,
  libaio-dev,
@@ -58,6 +58,7 @@
 
 Package: lvm2-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
@@ -105,8 +106,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  lvm2 (>= ${source:Version}~),
-Breaks:
- sanlock (<< 3.8.0),
 Multi-Arch: foreign
 Description: LVM locking daemon
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
@@ -164,6 +163,7 @@
 
 Package: libdevmapper1.02.1-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
@@ -201,6 +201,7 @@
 
 Package: dmsetup-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:

## lvm2 2.03.11-2.1ubuntu5+11.0trisquel4

=== debian/changelog ===
lvm2 (2.03.11-2.1ubuntu5+11.0trisquel4) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Mar 2025 20:46:32 +0000

lvm2 (2.03.11-2.1ubuntu5) jammy; urgency=medium

  * Remove libaio from being skipped by memlock (LP: #2084233)
    - d/p/lp2084233-mm-remove-libaio-from-being-skipped.patch

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 27 Nov 2024 19:04:29 +0000

=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends:
+Depends: dmsetup-udeb,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,6 @@
 	--with-pool=none
 	--disable-readline
 	--disable-selinux
-	--with-udev-prefix=/
 	--enable-udev_rules
 	--enable-udev_sync
 endef

## lvm2 2.03.16

=== base/Makefile ===
# Copyright (C) 2018 Red Hat, Inc. All rights reserved.
#
# This file is part of the device-mapper userspace tools.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU Lesser General Public License v.2.1.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# Uncomment this to build the simple radix tree.  You'll need to make clean too.
# Comment to build the advanced radix tree.
#base/data-struct/radix-tree.o: CFLAGS += -DSIMPLE_RADIX_TREE

# NOTE: this Makefile only works as 'include' for toplevel Makefile
#       which defined all top_* variables

BASE_SOURCE=\
	base/data-struct/hash.c \
	base/data-struct/list.c \
	base/data-struct/radix-tree.c

BASE_TARGET = base/libbase.a
BASE_DEPENDS = $(BASE_SOURCE:%.c=%.d)
BASE_OBJECTS = $(BASE_SOURCE:%.c=%.o)
CLEAN_TARGETS += $(BASE_DEPENDS) $(BASE_OBJECTS) \
	$(BASE_SOURCE:%.c=%.gcda) \
	$(BASE_SOURCE:%.c=%.gcno) \
	$(BASE_TARGET)

$(BASE_TARGET): $(BASE_OBJECTS)
	@echo "    [AR] $@"
	$(Q) $(RM) $@
	$(Q) $(AR) rsv $@ $(BASE_OBJECTS) > /dev/null

ifeq ("$(DEPENDS)","yes")
-include $(BASE_DEPENDS)
endif

=== device_mapper/Makefile ===
# Copyright (C) 2018 Red Hat, Inc. All rights reserved.
#
# This file is part of the device-mapper userspace tools.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU Lesser General Public License v.2.1.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# NOTE: this Makefile only works as 'include' for toplevel Makefile
#       which defined all top_* variables

DEVICE_MAPPER_SOURCE=\
	device_mapper/datastruct/bitset.c \
	device_mapper/ioctl/libdm-iface.c \
	device_mapper/libdm-common.c \
	device_mapper/libdm-config.c \
	device_mapper/libdm-deptree.c \
	device_mapper/libdm-file.c \
	device_mapper/libdm-report.c \
	device_mapper/libdm-string.c \
	device_mapper/libdm-targets.c \
	device_mapper/libdm-timestamp.c \
	device_mapper/mm/pool.c \
	device_mapper/regex/matcher.c \
	device_mapper/regex/parse_rx.c \
	device_mapper/regex/ttree.c \
	device_mapper/vdo/status.c \
	device_mapper/vdo/vdo_target.c

DEVICE_MAPPER_TARGET = device_mapper/libdevice-mapper.a
DEVICE_MAPPER_DEPENDS = $(DEVICE_MAPPER_SOURCE:%.c=%.d)
DEVICE_MAPPER_OBJECTS = $(DEVICE_MAPPER_SOURCE:%.c=%.o)
CLEAN_TARGETS += $(DEVICE_MAPPER_DEPENDS) $(DEVICE_MAPPER_OBJECTS) \
	$(DEVICE_MAPPER_SOURCE:%.c=%.gcda) \
	$(DEVICE_MAPPER_SOURCE:%.c=%.gcno) \
	$(DEVICE_MAPPER_TARGET)

#$(DEVICE_MAPPER_DEPENDS): INCLUDES+=$(VDO_INCLUDES)
#$(DEVICE_MAPPER_OBJECTS): INCLUDES+=$(VDO_INCLUDES)

$(DEVICE_MAPPER_TARGET): $(DEVICE_MAPPER_OBJECTS)
	@echo "    [AR] $@"
	$(Q) $(RM) $@
	$(Q) $(AR) rsv $@ $(DEVICE_MAPPER_OBJECTS) > /dev/null

ifeq ("$(DEPENDS)","yes")
-include $(DEVICE_MAPPER_DEPENDS)
endif

=== test/unit/Makefile ===
# Copyright (C) 2011-2018 Red Hat, Inc. All rights reserved.
#
# This file is part of LVM2.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# NOTE: this Makefile only works as 'include' for toplevel Makefile
#       which defined all top_* variables

UNIT_SOURCE=\
	device_mapper/vdo/status.c \
	\
	test/unit/bcache_t.c \
	test/unit/bcache_utils_t.c \
	test/unit/bitset_t.c \
	test/unit/config_t.c \
	test/unit/dmlist_t.c \
	test/unit/dmstatus_t.c \
	test/unit/framework.c \
	test/unit/io_engine_t.c \
	test/unit/matcher_t.c \
	test/unit/percent_t.c \
	test/unit/radix_tree_t.c \
	test/unit/run.c \
	test/unit/string_t.c \
	test/unit/vdo_t.c

test/unit/radix_tree_t.o: test/unit/rt_case1.c

UNIT_TARGET = test/unit/unit-test
UNIT_DEPENDS = $(UNIT_SOURCE:%.c=%.d)
UNIT_OBJECTS = $(UNIT_SOURCE:%.c=%.o)
CLEAN_TARGETS += $(UNIT_DEPENDS) $(UNIT_OBJECTS) \
	$(UNIT_SOURCE:%.c=%.gcda) \
	$(UNIT_SOURCE:%.c=%.gcno) \
	$(UNIT_TARGET)

lib/liblvm-internal.a: lib
libdaemon/client/libdaemonclient.a: libdaemon

$(UNIT_TARGET): $(UNIT_OBJECTS) $(LVMINTERNAL_LIBS)
	@echo "    [LD] $@"
	$(Q) $(CC) $(CFLAGS) $(LDFLAGS) $(EXTRA_EXEC_LDFLAGS) \
	      -o $@ $+ $(LVMLIBS)

.PHONY: run-unit-test unit-test
unit-test: $(UNIT_TARGET)
run-unit-test: $(UNIT_TARGET)
	@echo "Running unit tests"
	test -n "$$LVM_TEST_DIR" || LVM_TEST_DIR=$${TMPDIR:-/tmp} ;\
		TESTDIR=$$(mktemp -d -t -p "$$LVM_TEST_DIR" "LVMTEST.XXXXXXXXXX") ;\
		cd "$$TESTDIR" ;\
		LD_LIBRARY_PATH=$(abs_top_builddir)/libdm:$(abs_top_builddir)/daemons/dmeventd $(abs_top_builddir)/$(UNIT_TARGET) run ;\
		cd $$OLDPWD ;\
		$(RM) -r "$${TESTDIR:?}"

ifeq ("$(DEPENDS)","yes")
-include $(UNIT_SOURCE:%.c=%.d)
endif

=== debian/changelog ===
lvm2 (2.03.16-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:03:58 +0000

lvm2 (2.03.16-3ubuntu2) noble; urgency=medium

  [ Luca Boccassi ]
  * Cherry-pick upstream change for libdm returning wrong error code when
    dm-verity key cannot be found (LP: #2054620)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 19:53:11 +0100

lvm2 (2.03.16-3ubuntu1) noble; urgency=medium

  * Merge from Debian unstable (LP: #2054683). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.

 -- Dave Jones <dave.jones@canonical.com>  Thu, 22 Feb 2024 10:28:18 +0000

lvm2 (2.03.16-3) unstable; urgency=medium

  * Remove obsolete dependency on lsb-base.
  * Expect systemd relates files in /usr. (closes: #1052666)
  * Move all remaining files to /usr.

 -- Bastian Blank <waldi@debian.org>  Sat, 06 Jan 2024 18:47:24 +0100

lvm2 (2.03.16-2ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2020464). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 May 2023 11:20:09 +0100

lvm2 (2.03.16-2) unstable; urgency=medium

  * Remove remaining unused init scripts.
  * Call update-initramfs trigger directly.

 -- Bastian Blank <waldi@debian.org>  Wed, 19 Oct 2022 21:37:31 +0200

lvm2 (2.03.16-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1987340). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP: #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Removed patches obsoleted/merged by upstream:
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 22 Aug 2022 21:35:55 +0100

lvm2 (2.03.16-1) unstable; urgency=medium

  * New upstream release.


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
@@ -11,7 +11,7 @@
  libaio-dev,
  libblkid-dev,
  pkg-config,
- systemd,
+ systemd-dev (>= 255~rc1-1),
  thin-provisioning-tools
 Build-Depends-Arch:
  libcmap-dev,
@@ -43,7 +43,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- lsb-base,
  dmsetup (>= ${devmapper:Version}~),
  dmeventd (>= ${devmapper:Version}~),
 Recommends:
@@ -63,7 +62,7 @@
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends: dmsetup-udeb,
+Depends:
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager
@@ -171,8 +170,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends:
- dmsetup-udeb,
 Description: Linux Kernel Device Mapper userspace library
  This is a udeb, or a microdeb, for the debian-installer.
  .

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_CFLAGS_MAINT_STRIP = -O2
 
 include /usr/share/dpkg/default.mk
@@ -24,8 +24,8 @@
 endif
 
 define CONFARGS.deb
-	--libdir=/lib/$(DEB_HOST_MULTIARCH)
-	--sbindir=/sbin
+	--prefix=/usr
+	--exec-prefix=/usr
 	--with-usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	--with-optimisation="$(CFLAGS_OPT_DEB)"
 	--with-cache=internal
@@ -39,7 +39,6 @@
 	--with-thin-check=/usr/sbin/thin_check
 	--with-thin-dump=/usr/sbin/thin_dump
 	--with-thin-repair=/usr/sbin/thin_repair
-	--with-udev-prefix=/
 	--enable-applib
 	--enable-blkid_wiping
 	--enable-cmdlib
@@ -56,28 +55,27 @@
 endef
 
 define CONFARGS.deb_all
-	--sbindir=/sbin
 	--enable-dbus-service
 	--disable-readline
 	--disable-selinux
 endef
 
 define CONFARGS.udeb
-	--libdir=/lib
-	--sbindir=/sbin
-	--with-usrlibdir=/usr/lib
 	--with-optimisation="$(CFLAGS_OPT_UDEB)"
 	--with-lvm1=none
 	--with-pool=none
+	--disable-app-machineid
 	--disable-readline
 	--disable-selinux
-	--enable-udev_rules
-	--enable-udev_sync
+	--disable-systemd-journal
 endef
 
 BUILDS :=
 ifneq ($(filter lvm2,$(shell dh_listpackages)),)
-BUILDS += deb udeb
+BUILDS += deb
+endif
+ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
+BUILDS += udeb
 endif
 ifneq ($(filter lvm2-dbusd,$(shell dh_listpackages)),)
 BUILDS += deb_all
@@ -127,10 +125,12 @@
 		-- $(GENCONTROL_ARGS)
 
 override_dh_install:
+ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
 	dh_install --sourcedir=debian/build/install_udeb \
 		-pdmsetup-udeb \
 		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
 		-plvm2-udeb
+endif
 	dh_install --sourcedir=debian/build/install_deb_all \
 		-plvm2-dbusd
 	dh_install --sourcedir=debian/build/install_deb \

## lvm2 2.03.16-3ubuntu3.2trisquel4

=== debian/changelog ===
lvm2 (2.03.16-3ubuntu3.2trisquel4) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Mar 2025 12:35:33 +0000

lvm2 (2.03.16-3ubuntu3.2) noble; urgency=medium

  * Remove libaio from being skipped by memlock (LP: #2084233)
    - d/p/lp2084233-mm-remove-libaio-from-being-skipped.patch

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 27 Nov 2024 19:06:49 +0000

lvm2 (2.03.16-3ubuntu3.1) noble; urgency=medium

  * initramfs-tools hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jul 2024 20:45:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
@@ -62,7 +62,7 @@
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends:
+Depends: dmsetup-udeb,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager

## lvm2 2.03.22

=== debian/changelog ===
lvm2 (2.03.22-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Sat, 24 Feb 2024 16:41:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
+Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,6 @@
  libblkid-dev,
  pkg-config,
  systemd-dev (>= 255~rc1-1),
- thin-provisioning-tools
 Build-Depends-Arch:
  libcmap-dev,
  libcorosync-common-dev,
@@ -57,12 +55,11 @@
 
 Package: lvm2-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends: dmsetup-udeb,
+Depends:
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager
@@ -146,7 +143,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends:
  dmsetup (>= ${devmapper:Version}~),
 Multi-Arch: same
 Description: Linux Kernel Device Mapper userspace library
@@ -162,7 +158,6 @@
 
 Package: libdevmapper1.02.1-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
@@ -198,7 +193,6 @@
 
 Package: dmsetup-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	--enable-pkgconfig
 	--enable-udev_rules
 	--enable-udev_sync
+	--enable-write_install
 	--disable-readline
 endef
 
@@ -72,10 +73,7 @@
 
 BUILDS :=
 ifneq ($(filter lvm2,$(shell dh_listpackages)),)
-BUILDS += deb
-endif
-ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
-BUILDS += udeb
+BUILDS += deb udeb
 endif
 ifneq ($(filter lvm2-dbusd,$(shell dh_listpackages)),)
 BUILDS += deb_all
@@ -90,13 +88,12 @@
 
 dh_auto_configure.%:
 	mkdir -p debian/build/build_$*
-	cp -al $(filter-out debian, $(wildcard * .[^.]*)) debian/build/build_$*/
+	cp -al $(filter-out debian, $(wildcard *)) debian/build/build_$*/
 	dh_auto_configure --sourcedirectory=debian/build/build_$* -- $(strip $(CONFARGS.$*))
-	cp po/lvm2.po po/lvm2.pot
 
 dh_auto_build.%:
 	dh_auto_build --sourcedirectory=debian/build/build_$* -- \
-		LIB_VERSION_DM=$(DEVMAPPER_ABINAME)
+		LIB_VERSION_DM=$(DEVMAPPER_ABINAME) V=1
 
 dh_auto_install.%:
 	dh_auto_install --sourcedirectory=debian/build/build_$* \
@@ -109,7 +106,6 @@
 
 override_dh_auto_clean:
 	rm -rf debian/build
-	rm -f po/lvm2.pot
 
 override_dh_gencontrol:
 	dh_gencontrol \
@@ -125,12 +121,10 @@
 		-- $(GENCONTROL_ARGS)
 
 override_dh_install:
-ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
 	dh_install --sourcedir=debian/build/install_udeb \
 		-pdmsetup-udeb \
 		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
 		-plvm2-udeb
-endif
 	dh_install --sourcedir=debian/build/install_deb_all \
 		-plvm2-dbusd
 	dh_install --sourcedir=debian/build/install_deb \
